aboutsummaryrefslogtreecommitdiff
path: root/local/bin/allsync
diff options
context:
space:
mode:
Diffstat (limited to 'local/bin/allsync')
-rwxr-xr-xlocal/bin/allsync8
1 files changed, 4 insertions, 4 deletions
diff --git a/local/bin/allsync b/local/bin/allsync
index 5ba912a..e876f2d 100755
--- a/local/bin/allsync
+++ b/local/bin/allsync
@@ -109,6 +109,10 @@ fail() {
}
+sec "Passwords"
+pass git pull || fail "Passwords pull failed"
+pass git push || fail "Passwords push failed"
+
sec "Mail"
i3_astroid --start-polling
mbsync -a || fail "Mail synchronization reported failure"
@@ -122,10 +126,6 @@ notify_i3block
sec "Calendar and contacts"
vdirsyncer sync || fail "Calendar and contacts synchronization reported failure"
-sec "Passwords"
-pass git pull || fail "Passwords pull failed"
-pass git push || fail "Passwords push failed"
-
if [ "${AUTORUN:-n}" = "y" ]; then
echo "Reported failure exit code: $ecode" >&2
else